#!/bin/bash
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-

prog=$( basename $0 .bash )
PREFIX=/usr/local
ROLE=proxy
. /usr/local/bin/usr_local_tput.bash

. /usr/local/bin/proxy_ping_lib.bash || exit 1$?

if [ -f /etc/modules-load.d/firewall.conf ] ; then
    grep -v '#' /etc/modules-load.d/firewall.conf|xargs modprobe --all
fi

proxy_ping_firewall_restart
retval=$?
if [ $retval -eq 0 ] ; then
    logger INFO: $prog  proxy_ping_firewall_restart $*
  else
    logger ERROR: $prog proxy_ping_firewall_restart retval=$retval $*
    exit $retval
fi

# clean
exit 0

# BEGIN ANSIBLE MANAGED BLOCK proxy whonix_host.yml
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-
# END ANSIBLE MANAGED BLOCK proxy whonix_host.yml
